%!TEX root = main.tex

RF-based sensing has insatiable demand for
frequency and spatial diversity, \ie wider spectrum and more antennas.
However, 
on COTS Wi-Fi platform, 
the limited spectrum 
and the lack of support for antenna array 
have obstructed the efforts to improve the sensing accuracy.

In this paper, we release our solution to the above problems, PicoScenes, 
a sophisticated NIC array control and CSI measurement system.
Pursuing the goal of enabling UWB array on COTS Wi-Fi platform,
PicoScenes adopts a versatile three-layered architecture
namely PicoScenes Driver, Platform, and PSPDK.
They will be covered in detail in the following sections.
The highlight of PicoScenes are as follows.
First, we unlock the UWB spectrum access for QCA9300. As exemplified by Figure~\ref{fig:spectrum}, 
over GHz continual spectrum is now accessible by the low-cost COTS Wi-Fi devices.
Second, we unify the CSI measurement of QCA9300 and IWL5300 in the driver level, and enrich them with the same data format.
Third, we propose the integrated NIC array control platform, PicoScenes. Figure~\ref{fig:hws} shows a large-scale COTS Wi-Fi devices based sensing array managed by PicoScenes.
Fourth, we develop a PSPDK-based plug-in, EchoProbe, and for the first time we enable $ms$-grade UWB spectrum sensing using COTS Wi-Fi Devices.
At last, we will release PicoScenes system soon on our website~\cite{PicoScenes_Page}, 
including the supplementary MATLAB Toolbox and documentation.

\begin{figure}[tb]
	\centering
	\vspace{-0.1in}
	\includegraphics[width=0.8\columnwidth]{splicedMag.pdf}
%	\vspace{-0.1in}
	\caption{GHz spectrum accessible by Wi-Fi devices}
	\label{fig:spectrum}
	% \vspace{-0.1in}
\end{figure}

\begin{figure}[tb]
	\centering
	\vspace{-0.05in}
	\includegraphics[width=0.75\columnwidth]{hardware.pdf}
%	\vspace{-0.1in}
	\caption{81-antenna array controlled by PicoScenes}
	\vspace{-0.25in}
	\label{fig:hws}
\end{figure}